%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

# normally 2.6 would be enough for a dependency, but
# abiword 2.6.7 introduced abi_widget_render_page_to_image, 
# which is is used by OLPC
%define abiword_api_version 2.6.7

Summary: Python bindings for libabiword
Name: pyabiword
Version: 0.6.3
Release: 1%{?dist}
Source0: pyabiword-%{version}.tar.gz
URL: http://abisource.com/downloads/pyabiword/%{version}/pyabiword-%{version}.tar.gz
License: GPL+
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libabiword-devel >= %{abiword_api_version}
BuildRequires: pygtk2-devel
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: libgnomeprintui22-devel
BuildRequires: goffice04-devel
BuildRequires: enchant-devel
BuildRequires: fribidi-devel
BuildRequires: wv-devel

%description
This package installs Python bindings for libabiword

%package devel
Summary: Support files necessary to compile applications using pyabiword.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries, headers, and support files necessary to compile applications using pyabiword.

%prep
%setup -q

%build

%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# remove execution bits from python examples
find $RPM_BUILD_DIR/%{name}-%{version}/examples -name *.py -type f -print | xargs chmod -x
# nuke .la files
rm -f $RPM_BUILD_ROOT/%{python_sitearch}/abiword/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING $RPM_BUILD_DIR/%{name}-%{version}/examples
%dir %{python_sitearch}/abiword
%{python_sitearch}/abiword/*.py
%{python_sitearch}/abiword/*.pyc
%{python_sitearch}/abiword/*.pyo
%{python_sitearch}/abiword/*.so

%files devel
%defattr(-,root,root,-)
%{_datadir}/pygtk/2.0/defs/pyabiword.defs

%changelog
* Mon Mar 09 2009 Marc Maurer <uwog@uwog.net> - 0.6.3-1
- New upstream release

* Mon Mar 09 2009 Marc Maurer <uwog@uwog.net> - 0.6.2-1
- New upstream release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.1-4
- Rebuild for Python 2.6

* Tue Jul 22 2008 Marc Maurer <uwog@uwog.net> - 0.6.1-3
- Include the BRs required to build in koji

* Tue Jul 22 2008 Marc Maurer <uwog@uwog.net> - 0.6.1-2
- Drop vendor tag
- Include documentation
- Include examples

* Mon Jul 21 2008 Marc Maurer <uwog@uwog.net> - 0.6.1-1
- Initial spec file
